module.exports = {
    name: 'guildMemberAdd',
    async execute(member) {
      const { MessageEmbed, EmbedBuilder } = require('discord.js');
  
      const guild = member.guild;
      if (!guild) return;
  
      const welcomeChannelID = '1211978116017168414'; 
      const welcomeChannel = guild.channels.cache.get(welcomeChannelID);
      
      if (!welcomeChannel) return; 
  
      const rulesChannelID = '1212340189050044436';
      const rulesChannelLink = `https://discord.com/channels/${guild.id}/${rulesChannelID}`;
      
      const welcomeEmbed = new EmbedBuilder()
          .setTitle('Nowy Członek!')
          .setDescription(`Witaj ${member} na ⛧ Wyznawcy Azazela ⛧ Mamy nadzieję, że zostaniesz na dłużej. Zapoznaj się z [regulaminem](${rulesChannelLink}). Dołączając na serwer, akceptujesz regulamin!
          Jest nas teraz ${guild.memberCount}!`)
          .setColor('#FD0E35')
          .setThumbnail(member.user.displayAvatarURL({ dynamic: true, size: 128 }))
          .addFields(
              { name: 'Data Dołączenia', value: member.joinedAt.toLocaleString() },
          );
  
      welcomeChannel.send({ embeds: [welcomeEmbed] }).catch(error => {
          console.error('Wystąpił błąd podczas wysyłania wiadomości powitalnej:', error);
      });
  
      const secondWelcomeChannelID = '1211968422980886550';
      const secondWelcomeChannel = guild.channels.cache.get(secondWelcomeChannelID);
  
      if (secondWelcomeChannel) {
          secondWelcomeChannel.send(`Powitajmy na ⛧ Wyznawcy Azazela ⛧ nowego członka ${member}! Mamy nadzieję, że zostaniesz z nami na dłużej!`).catch(error => {
              console.error('Wystąpił błąd podczas wysyłania drugiej wiadomości powitalnej:', error);
          });
      }
    },
  };
  